Subject: RE: [mobile-ip] Re: summary of HAO, BE processing discussion

From: "Mohan Parthasarathy" <[email-masked]>
Date: Fri, 19 Jul 2002 15:45:38 -0700

> > 
> >>* IPv6 WG has in the past accepted the HAO as a mandatory
> >>   feature for all IPv6 nodes. Arguments have been made,
> >>   however, that the processing of the HAO has been changed
> >>   and the situation may now be different.
> >>
> > 
> > In addition, the current draft requires not only HAO but 
> also BE. This 
> > means all IPv6 nodes must implement a new extention header 
> (mobility 
> > header).
> 
> 
> Correct.
> 
If you read section 9.4.6, "Sending Binding Errors", yes it is
correct. But reading section 6.3 "Home Address option", it says
that if a node does not understand this option, it should return
ICMP parameter problem. Are these in conflict ?

thanks
mohan

---

From: Jari Arkko <[email-masked]>
Date: Fri, 26 Jul 2002 15:17:15 +0300

> ICMP parameter problem. Are these in conflict ?

No, ICMP is used if you don't recognize the option. This is standard
behaviour in IPv6. BE is used if you understand the option but don't
like the contents.

Jari